
class RedirectHandler {
	constructor() {}
	init() {
		let match = window.location.href.match(URLS_TO_FORWARD);
		if (match) {
			let section = match[7],
			    base = match[1] + "/settings" || SETTINGS_URL,
			    newUrl = base + "/" + getLocale() + "/" + browserName + "/" + getVersion().replace(/\./g, '_') + (
			/*(wot.partner ? "/" + wot.partner : "") +*/section ? "/" + section : "");
			let query = this.getQueryParams();
			if (query) {
				newUrl += query;
			}
			window.location.href = newUrl;
		}
	}
	getQueryParams() {
		let url = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : window.location.href;

		let parser = document.createElement('a');
		parser.href = url;
		return parser.search;
	}
}