
class CheckboxOption extends React.Component {
    render() {
        var _props = this.props;
        const protection = _props.protection,
              check = _props.check,
              dispatch = _props.dispatch,
              actions = _props.actions,
              type = _props.type;

        return React.createElement(
            "div",
            { className: "options-checkbox",
                onClick: protection && (() => {
                    webextApi.runtime.sendMessage({
                        name: SEND_MESSAGE, params: {
                            [atob("ZWM=")]: "Settings",
                            [atob("ZWE=")]: type,
                            [atob("ZWw=")]: check ? "Off" : "On"
                        }
                    });
                    check ? dispatch(actions[0]()) : dispatch(actions[1]());
                }) },
            React.createElement("input", { type: "checkbox", id: "unchecked", className: "options-checkbox_input hidden",
                checked: check }),
            React.createElement("label", { className: "options-checkbox_label" })
        );
    }
}