
class ModalDeleteReview extends React.Component {
    onDelete() {
        this.props.dispatch(deleteReviewAction(this.props.host, this.props.userId));
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "Rating Flow",
                [atob("ZWE=")]: "Delete Yes",
                [atob("ZWw=")]: ""
            }
        });
        this.props.onClose();
    }
    onCancel() {
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "Rating Flow",
                [atob("ZWE=")]: "Delete Cancel",
                [atob("ZWw=")]: ""
            }
        });
        this.props.onClose();
    }
    render() {
        return React.createElement(
            "div",
            { className: "modal-message_delete-review" },
            React.createElement(
                "div",
                { className: "modal-message__header" },
                webextApi.i18n.getMessage('wantToDelete')
            ),
            React.createElement(
                "div",
                { className: "modal-message__button-container" },
                React.createElement(
                    "div",
                    { className: "modal-message__button-container__item modal-message__button-container__item_yes", onClick: this.onDelete.bind(this) },
                    webextApi.i18n.getMessage('delete')
                ),
                React.createElement(
                    "div",
                    { className: "modal-message__button-container__item modal-message__button-container__item_cancel", onClick: this.onCancel.bind(this) },
                    webextApi.i18n.getMessage('cancel')
                )
            )
        );
    }
}